From: Kazuhiro Ito <kzhr@d1.dion.ne.jp>
Date: Sat, 29 Jun 2024 20:56:02 +0900
Subject: [PATCH] Fix non-ASCII filename operatiion on EasyPG (bug#71500)

* lisp/epg.el (epg--start): Don't suppress to encode arguments for
gpg2 program.
---
 lisp/epg.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/epg.el b/lisp/epg.el
index 7bec91f616d..cf59f03c724 100644
--- a/lisp/epg.el
+++ b/lisp/epg.el
@@ -676,10 +676,11 @@ epg--start
 				    :command (cons (epg-context-program context)
 						   args)
 				    :connection-type 'pipe
-				    :coding 'raw-text
+				    :coding '(raw-text . nil)
 				    :filter #'epg--process-filter
 				    :stderr error-process
 				    :noquery t))))
+    (set-process-coding-system process 'raw-text 'raw-text)
     (setf (epg-context-process context) process)))
 
 (defun epg--process-filter (process input)
-- 
2.45.1

